package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;

/**
 * 学校专业关联
 */
public class SchoolMajorLinkBO {


    private static final long serialVersionUID = 1L;

    @Excel(name = "编号")
    private Long linkId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorName;

    @Excel(name = "批次")
    private String batchName;

    @Excel(name = "专业一级分类")
    private String parentMajorClass;

    @Excel(name = "专业二级分类")
    private String majorClass;

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getParentMajorClass() {
        return parentMajorClass;
    }

    public void setParentMajorClass(String parentMajorClass) {
        this.parentMajorClass = parentMajorClass;
    }

    public String getMajorClass() {
        return majorClass;
    }

    public void setMajorClass(String majorClass) {
        this.majorClass = majorClass;
    }
}
